Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158124 - Console permissions not set for DVB devices
Summary: Console permissions not set for DVB devices
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-18 20:32 UTC by Markku Kolkka
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: pam-0.99.5.0-2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-17 08:17:42 UTC


Attachments (Terms of Use)

Description Markku Kolkka 2005-05-18 20:32:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
/etc/security/console.perms.d/50-default.perms sets the console user as the owner of analog TV cards (v4l devices), but not DVB cards.

Version-Release number of selected component (if applicable):
pam-0.79-8

How reproducible:
Always

Steps to Reproduce:
1. Install DVB card
2. Login

  

Actual Results:  Only root can acess the DVB card:
$ ll /dev/dvb/adapter0/
total 0
crw-rw----  1 root root 212, 4 May 19  2005 demux0
crw-rw----  1 root root 212, 5 May 19  2005 dvr0
crw-rw----  1 root root 212, 3 May 18 22:48 frontend0
crw-rw----  1 root root 212, 7 May 19  2005 net0


Expected Results:  The user logged in on the console should have rw access to /dev/dvb/*

Additional info:

Terratec Cinergy 1200 DVB-C card, budget_av driver.

Comment 1 Tomas Mraz 2005-05-19 18:34:52 UTC
This is the reason why the console.perms.d directory was implemented. You can
put there a new file which would support the devices for your hardware without
needing to modify the default config file.


Comment 2 Bernd Bartmann 2005-08-14 15:34:09 UTC
Any reason why the permissions for the DVB devices are not set in the default
config file?


Note You need to log in before you can comment on or make changes to this bug.